Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

File product feedback into the configured feedback channel

POST/support/feedback
Request body
application/json
subjectstringrequired
min length 5 · max length 200
textstringrequired
min length 20 · max length 4000
fromEmailstring<email>required
fromNamestringrequired
min length 1 · max length 200
contextobjectrequired
Show properties
clientstringrequired
min length 1 · max length 100
versionstringrequired
min length 1 · max length 50
osstringrequired
min length 1 · max length 100
workspacestring
max length 100
Responses
201

Feedback filed

okbooleanrequired
ticketIdstringrequired
ticketNumbernumberrequired
404

Feedback channel not configured

Try it
Server
Bodyapplication/json
Request
curl -X POST '/support/feedback' \
  -H 'Content-Type: application/json' \
  -d '{
  "subject": "string",
  "text": "stringstringstringst",
  "fromEmail": "user@example.com",
  "fromName": "string",
  "context": {
    "client": "string",
    "version": "string",
    "os": "string",
    "workspace": "string"
  }
}'
Response
{
  "ok": true,
  "ticketId": "string",
  "ticketNumber": 0
}